import React from 'react';

import styles from './Column.module.css';

interface ColumnProps {
  style: {
    colspan: number;
  };
  children?: React.ReactNode;
}

export function Column({ style, children }: ColumnProps) {
  return (
    <div
      className={styles.column}
      style={{
        gridColumn: `span ${style.colspan}`,
      }}
    >
      {children}
    </div>
  );
}
